Update the default agent credit limit for a workspace
curl --request PATCH \
--url https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Notion-Version: <notion-version>' \
--data '
{
"default_agent_credit_limit": 123
}
'import requests
url = "https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit"
payload = { "default_agent_credit_limit": 123 }
headers = {
"Notion-Version": "<notion-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Notion-Version': '<notion-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({default_agent_credit_limit: 123})
};
fetch('https://api.notion.com/admin/v1/spaces/{space_id}/credit_limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_agent_credit_limit": 123,
"space_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"type": "error",
"code": "validation_error",
"status": 400,
"message": "The request body is invalid."
}{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "Unauthorized."
}{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Forbidden."
}{
"type": "error",
"code": "not_found",
"status": 404,
"message": "Not found."
}{
"type": "error",
"code": "rate_limited",
"status": 429,
"message": "Rate limited."
}{
"type": "error",
"code": "internal_server_error",
"status": 500,
"message": "An unexpected error occurred."
}Agents
Update the default agent credit limit for a workspace
Update the default agent credit limit for a workspace.
PATCH
/
v1
/
spaces
/
{space_id}
/
credit_limit
Update the default agent credit limit for a workspace
The organization bot token must have the following scopes:
workflows:write
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Admin API version to use for this request.
Available options:
2026-06-01 Path Parameters
Body
application/json
Workspace-wide default agent credit limit, applied to agents going forward. Must be a non-negative whole number of credits; other values are rejected with a validation error. Use null to remove the workspace-wide default cap.
⌘I